Results 1 to 4 of 4

Thread: Upgrade from 2.5.8. to 3.0.8 problems

  1. #1
    Join Date
    May 2010
    Posts
    12

    Default Upgrade from 2.5.8. to 3.0.8 problems

    Hi all,

    Can someone help please as my site is currently down at the moment.
    I am trying to upgrade from 2.5.8. to 3.0.8 and am having great difficulties. I keep getting the dreaded

    "Warning: [obfuscated](/home/xxxxxxx/public_html/open-realty/install/versions/../../include/common.php) [function.[obfuscated]]: failed to open stream: No such file or directory in /home/xxxxxxx/public_html/open-realty/install/versions/upgrade_200.inc.php on line 42 "

    I have searched this site with exact errors above and appreciate other people have had similar problems yet none of them seem to answer mine.

    The installer says all permissions are correct but on next step when I choose upgrade from 2 xxx I get the above error.

    I have cleared caches and used different browsers without any luck.
    I have created a new database and given it full privileges.
    My host is transparent technologies so I assume server configuration is not a problem.

    Any pointers will be greatly appreciated.

    Thanks

  2. #2
    the_sandking's Avatar
    the_sandking is offline hadron remnant - Moderation Fachmann
    Join Date
    Apr 2003
    Location
    Nullspace
    Posts
    5,289

    Default Re: Upgrade from 2.5.8. to 3.0.8 problems

    Quote Originally Posted by Chessbandit View Post
    "Warning: [obfuscated](/home/xxxxxxx/public_html/open-realty/install/versions/../../include/common.php) [function.[obfuscated]]: failed to open stream: No such file or directory in /home/xxxxxxx/public_html/open-realty/install/versions/upgrade_200.inc.php on line 42 "
    I have bolded the relevant part. You are missing your OR v2 common.php file.
    "Much of what looks like rudeness in hacker circles is not intended to give offense. Rather, it's the product of the direct, cut-through-the-BS communications style that is natural to people who are more concerned about solving problems than making others feel warm and fuzzy."

    "We gotta' go to the crappy town where I'm a hero!"
    -Hoban 'Wash' Washburne 2485-2519


    "When you’re born you get a ticket to the freak show. When you’re born in America, you get a front-row seat.."
    -George Carlin 1937-2008

    New to Open-Realty® and need help? Check the:
    -OR DOCUMENTATION -

    Important: Read this at least once in your lifetime
    How To Ask Questions The Smart Way

  3. #3
    Join Date
    May 2010
    Posts
    12

    Default Re: Upgrade from 2.5.8. to 3.0.8 problems

    The_Sandking thanks for your help. I really do appreciate you taking time out to help. Yes, after all the forum reading I have done I realised I do not have a common.php file but again from previous forum answers I believe this is created once the install goes through from Information being taken from the common.dist.php which I have and is set at 755 (also tried it at 777 just in case). So I suppose the question should have been "Does anyone know why the common.php file is not being created ?"

    As always thanks for any input.

  4. #4
    the_sandking's Avatar
    the_sandking is offline hadron remnant - Moderation Fachmann
    Join Date
    Apr 2003
    Location
    Nullspace
    Posts
    5,289

    Default Re: Upgrade from 2.5.8. to 3.0.8 problems

    No, if you are upgrading, you need to have your OR v2 common.php file. common.php is only created from scratch using 'common.dist.php' during a new install and not an upgrade. OR v3 needs your old common.php file to obtain all of your old DB and control panel settings.

    See docs: http://open-realty.org/docs/release/...91270700499056

    Running the installer, step #5

    Verify all of your database and configuration information is correct. This information is automatically populated from the existing common.php file. Click next.
    "Much of what looks like rudeness in hacker circles is not intended to give offense. Rather, it's the product of the direct, cut-through-the-BS communications style that is natural to people who are more concerned about solving problems than making others feel warm and fuzzy."

    "We gotta' go to the crappy town where I'm a hero!"
    -Hoban 'Wash' Washburne 2485-2519


    "When you’re born you get a ticket to the freak show. When you’re born in America, you get a front-row seat.."
    -George Carlin 1937-2008

    New to Open-Realty® and need help? Check the:
    -OR DOCUMENTATION -

    Important: Read this at least once in your lifetime
    How To Ask Questions The Smart Way

Similar Threads

  1. Many problems after upgrade
    By derksj in forum Installation/Configuration Help (CLOSED)
    Replies: 3
    Last Post: 03-24-2010, 05:08 PM
  2. Please help! I have problems with .html after upgrade to 2.5.2
    By Cyclades Handyman in forum Installation/Configuration Help (CLOSED)
    Replies: 2
    Last Post: 06-25-2008, 12:29 AM
  3. Upgrade to 2.2.0 Template Problems
    By fantasyproperties in forum Installation/Configuration Help (CLOSED)
    Replies: 5
    Last Post: 03-14-2006, 12:00 PM
  4. 2.0.5 To 2.1.5 Upgrade Problems at Step 6
    By dks in forum Installation/Configuration Help (CLOSED)
    Replies: 4
    Last Post: 02-08-2006, 09:07 PM
  5. more upgrade problems
    By hostu in forum HELP (CLOSED)
    Replies: 1
    Last Post: 04-04-2003, 01:43 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •